List test plans
GET /test-plans
Operation ID: listTestPlans
Response (200)
Array of TestPlan.
| Field | Type | Required |
|---|---|---|
id |
string |
yes |
title |
string |
yes |
targetUrl |
string |
yes |
environment |
`"production" | "staging"` |
body |
string |
yes |
loginInstructions |
string |
null · nullable |
constraints |
string |
null · nullable |
acceptanceCriteria |
string |
null · nullable |
tags |
string[] |
no |
version |
integer |
yes |
lastReview |
object |
no |
createdAt |
string (ISO 8601) |
yes |
updatedAt |
string (ISO 8601) |
yes |
Example:
[
{
"id": "string",
"title": "string",
"targetUrl": "string",
"environment": "production",
"body": "string",
"loginInstructions": "string",
"constraints": "string",
"acceptanceCriteria": "string",
"tags": [
"string"
],
"version": 0,
"lastReview": {
"readiness": "blocked",
"overallScore": 0,
"coverageScore": 0,
"clarityScore": 0,
"reproducibilityScore": 0,
"authClarityScore": 0,
"confidence": 0,
"summary": "string",
"riskFlags": [
"string"
],
"suggestedFixes": [
"string"
],
"missingScenarios": [
"string"
]
},
"createdAt": "2026-04-18T12:34:56Z",
"updatedAt": "2026-04-18T12:34:56Z"
}
]
Example request
curl https://api.qacrow.com/api/test-plans \
-H "Authorization: Bearer qac_live_..."